<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * When populating this file, consider the following flow
 * of control:
 *
 * - This method should be static
 * - Check if the $_REQUEST content actually is the plugin name
 * - Run an admin referrer check to make sure it goes through authentication
 * - Verify the output of $_GET makes sense
 * - Repeat with other user roles. Best directly by using the links/query string parameters.
 * - Repeat things for multisite. Once for a single site in the network, once sitewide.
 *
 * This file may be updated more in future version of the Boilerplate; however, this is the
 * general skeleton and outline for how the file should work.
 *
 * For more information, see the following discussion:
 * https://github.com/tommcfarlin/WordPress-Plugin-Boilerplate/pull/123#issuecomment-28541913
 *
 * @link       https://www.realtyworkstation.com/
 * @since      1.0.0
 *
 * @package    Workstation
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

if ( ! function_exists( 'get_plugins' ) ) {
	require_once ABSPATH . 'wp-admin/includes/plugin.php';
}
$plugins = get_plugins();
if (array_key_exists('realty-workstation-pro/realty-workstation-pro.php', $plugins)) {
	
} else {
	global $wpdb;
	$cn_clients = $wpdb->prefix . 'cn_clients';
	$sql ="DROP TABLE $cn_clients";
	$wpdb->query($sql);
	$cn_files = $wpdb->prefix . 'cn_files';
	$sql ="DROP TABLE $cn_files";
	$wpdb->query($sql);
	$cn_profiles = $wpdb->prefix . 'cn_profiles';
	$sql ="DROP TABLE $cn_profiles";
	$wpdb->query($sql);
	$cn_properties = $wpdb->prefix . 'cn_properties';
	$sql ="DROP TABLE $cn_properties";
	$wpdb->query($sql);
	$cn_system_ci_sessions = $wpdb->prefix . 'cn_system_ci_sessions';
	$sql ="DROP TABLE $cn_system_ci_sessions";
	$wpdb->query($sql);
	$cn_system_users = $wpdb->prefix . 'cn_system_users';
	$sql ="DROP TABLE $cn_system_users";
	$wpdb->query($sql);
	$cn_transactions = $wpdb->prefix . 'cn_transactions';
	$sql ="DROP TABLE $cn_transactions";
	$wpdb->query($sql);
	delete_option('cn_workstation');
	delete_option('agent_page');
	delete_option('workstation_name');
	delete_option('workstation_masteruser_email');
	delete_option('workstation_masteruser_password');
	delete_option('cdbi_bank_name');
	delete_option('cdbi_account_name');
	delete_option('cdbi_account_number');
	delete_option('cdbi_account_address');
}
